* [PATCH] git-stash: don't complain when listing in a repo with no stash
@ 2007-07-02 4:21 Jeff King
2007-07-02 5:02 ` しらいしななこ
0 siblings, 1 reply; 2+ messages in thread
From: Jeff King @ 2007-07-02 4:21 UTC (permalink / raw)
To: Junio C Hamano; +Cc: nanako3, git
Previously, the git-log invocation would complain if a repo
had not had any stashes created in it yet:
$ git-init
$ git-stash
fatal: ambiguous argument 'refs/stash': unknown revision or
path not in the working tree.
Use '--' to separate paths from revisions
Instead, we only call git-log if we actually have a
refs/stash. We could alternatively create the ref when any
stash command is called, but it's better for the 'list'
command to not require write access to the repo.
Signed-off-by: Jeff King <peff@peff.net>
---
git-stash.sh | 5 +++++
1 files changed, 5 insertions(+), 0 deletions(-)
diff --git a/git-stash.sh b/git-stash.sh
index 7644bd5..18d3322 100755
--- a/git-stash.sh
+++ b/git-stash.sh
@@ -76,7 +76,12 @@ save_stash () {
printf >&2 'Saved WIP on %s\n' "$msg"
}
+have_stash () {
+ git-rev-parse --verify $ref_stash >/dev/null 2>&1
+}
+
list_stash () {
+ have_stash || return 0
git-log --pretty=oneline -g "$@" $ref_stash |
sed -n -e 's/^[.0-9a-f]* refs\///p'
}
--
1.5.2.2.1452.g896f6
^ permalink raw reply related [flat|nested] 2+ messages in thread* Re: [PATCH] git-stash: don't complain when listing in a repo with no stash
2007-07-02 4:21 [PATCH] git-stash: don't complain when listing in a repo with no stash Jeff King
@ 2007-07-02 5:02 ` しらいしななこ
0 siblings, 0 replies; 2+ messages in thread
From: しらいしななこ @ 2007-07-02 5:02 UTC (permalink / raw)
To: Jeff King; +Cc: Junio C Hamano, git
Quoting Jeff King <peff@peff.net>:
> Previously, the git-log invocation would complain if a repo
> had not had any stashes created in it yet:
>
> $ git-init
> $ git-stash
> fatal: ambiguous argument 'refs/stash': unknown revision or
> path not in the working tree.
> Use '--' to separate paths from revisions
>
> Instead, we only call git-log if we actually have a
> refs/stash. We could alternatively create the ref when any
> stash command is called, but it's better for the 'list'
> command to not require write access to the repo.
>
> Signed-off-by: Jeff King <peff@peff.net>
Thank you for correcting the bugs I introduced.
--
Nanako Shiraishi
http://ivory.ap.teacup.com/nanako3/
----------------------------------------------------------------------
Finally - A spam blocker that actually works.
http://www.bluebottle.com
^ permalink raw reply [flat|nested] 2+ messages in thread
end of thread, other threads:[~2007-07-02 5:03 UTC | newest]
Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2007-07-02 4:21 [PATCH] git-stash: don't complain when listing in a repo with no stash Jeff King
2007-07-02 5:02 ` しらいしななこ
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox